Starts an export of logical entity data to a comma-separated values (CSV) file. Send the entity name and an export definition, including formatting, field mapping, and optional filters. On success, the service returns an export ID you can use to check status, download the output file, and retrieve the export report.
Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.
<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.
For details, read Request an access token.
OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.
In this example, we export data from the My_Data entity. The definition object includes the data formats used in the entity. The fields array includes mapping details of the entity fields to the exported file columns. The filters array limits export to only those records whose value in the Price field is greater than 1000.
{
"entitySystemName": "My_Data",
"definition": {
"newlineType": "WINDOWS",
"locale": "en-US",
"fieldDelimiter": ",",
"quoteMode": "ALL",
"dateFormat": "dd-MM-yyyy",
"dateTimeFormat": "dd-MM-yyyy HH:mm:ss",
"decimalSeparator": ".",
"groupingSeparator": ",",
"currencySymbol": "$",
"percentSymbol": "%",
"ignoreSurroundingSpaces": true,
"filter": "city ne 'Austin' or city eq null",
"filters": [
{
"field": "Price",
"value": [
"1000"
],
"operator": "gt",
"valueType": "STRING"
}
],
"fields": [
{
"systemName": "Product_Id",
"csvColumnName": "This is my column"
},
{
"systemName": "Price",
"csvColumnName": "Price"
}
]
}
}System name of the logical entity to export. Contact your Zilliant representative to get your entity name.
Enter the operating system name to use the correct newline character.
Define which fields are text qualified. Note that " is always a text qualifier.
Locale. For supported values, read JDK 11 Supported Locales.
Field delimiter. All commonly used delimiters are supported, such as ,, |, \t (the only supported value for tab), ~, ;, and others.
Date format. The format must follow the rules defined in the Java SimpleDateFormat class documentation.
Note: Use MM for months and mm for minutes.
Date-time format. The format must follow the rules defined in the Java SimpleDateFormat class documentation.
Note: Use MM for months and mm for minutes.
Decimal separator.
Thousands separator.
Currency symbol. You can enter any currency symbol supported by Oracle's JDK 11.
Percent symbol.
Define whether to ignore white spaces when exporting data. Supported values:
- true—Ignore white spaces.
- false—Preserve white spaces.
OData-compliant expression to export only those records that meet the defined criteria.
Filters to export only those records that meet the defined criteria.
Entity field name. Contact your Zilliant representative to get your entity field names.
Array of values for filtering the field. If you enter multiple values, the service interprets them as a compound OR expression. For example, ["Austin","Chicago"] is "Austin OR Chicago".
Filter operator.
Enter the field data type.
Field mapping from entity fields to file columns.
System name of the entity field. Contact your Zilliant representative to get your entity field names.
Column name in the exported file.
Success. Returns a JSON body containing the exportId.
Authentication error. Token is missing or invalid.
The entity is not found. Typically means the URL is invalid.